# Generated by go2rpm
%bcond_without check

# https://github.com/google/martian
%global goipath         github.com/google/martian
Version:                3.1.0

%global goaltipaths     github.com/google/martian/v3

%gometa

%global common_description %{expand:
Martian Proxy is a programmable HTTP proxy designed to be used for testing.

Martian is a great tool to use if you want to:

 - Verify that all (or some subset) of requests are secure
 - Mock external services at the network layer
 - Inject headers, modify cookies or perform other mutations of HTTP requests
   and responses
 - Verify that pingbacks happen when you think they should
 - Unwrap encrypted traffic (requires install of CA certificate in browser)

By taking advantage of Go cross-compilation, Martian can be deployed anywhere
that Go can target.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:        %mkrel 4
Summary:        Library for building custom HTTP/S proxies
Group:          Development/Golang

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}
# https://github.com/google/martian/issues/309
Patch0:         0001-Bypass-flag.Parse-in-init.patch

BuildRequires:  golang(golang.org/x/net/websocket)

%description
%{common_description}

%gopkg

%prep
%goprep
%patch -P 0 -p1

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
# https://github.com/google/martian/issues/271
# cmd/proxy: needs network
%gocheck -t marbl -t static -d body -d cmd/proxy -d trafficshape
%endif

%files
%license %{golicenses}
%doc %{godocs}
%{_bindir}/*

%gopkgfiles



%changelog
* Tue Dec 31 2024 wally <wally> 3.1.0-4.mga10
+ Revision: 2133672
- update RPM group to Development/Golang
+ pterjan <pterjan>
- Rebuild for patchN deprecation

* Wed Mar 16 2022 umeabot <umeabot> 3.1.0-3.mga9
+ Revision: 1794234
- Mageia 9 Mass Rebuild

* Thu Nov 18 2021 guillomovitch <guillomovitch> 3.1.0-2.mga9
+ Revision: 1757785
- rebuild for mageia 9

* Sat Jan 02 2021 pterjan <pterjan> 3.1.0-1.mga8
+ Revision: 1668299
- Update to 3.1.0

* Sat Sep 05 2020 pterjan <pterjan> 3.0.0-2.mga8
+ Revision: 1622704
- Sync with Fedora

* Sat Sep 05 2020 pterjan <pterjan> 3.0.0-1.mga8
+ Revision: 1622669
- Update to 3.0.0

* Tue Nov 20 2018 pterjan <pterjan> 2.1.0-1.mga7
+ Revision: 1332075
- imported package golang-github-google-martian

